Skip to navigation

Get RMA status

There are two ways to obtain RMA status. With RMA Number: a numerical value provided by RushOrder. With Alternate RMA Number: Provided by the client when the RMA is created. Only one is required, not both.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

RushOrderMomCodestringRequired
All requests require the header to contain RushOrderMomCode, a 3 character string that represents the client internally in Rush Order. This should be given to you by Rush Order.

Query parameters

rmaNumberdoubleOptional
RushOrder RMA Number
altRmaNumberstringOptional
Client provided Alternate RMA Number

Response

Success
OrderNumberdoubleOptional
AltOrderNumberstring or nullOptional
RmaNumberdoubleOptional
AltRmaNumberstring or nullOptional
CaseNumberstring or nullOptional
Attentionstring or nullOptional
TotalfloatOptional
ShippingfloatOptional
EntryDatedateOptional
ExpirationDatedateOptional
ProcessDatedate or nullOptional
CompletedbooleanOptional
Notesstring or nullOptional
Itemslist of objectsOptional
ReturnedSerialslist of objectsOptional

Errors

400
Bad Request Error
404
Not Found Error